@charset "UTF-8";

.member-message {
    padding: 0 35px;
}

.member-message__item {
    display: flex;
    align-items: stretch;
    align-content: stretch;
    justify-items: center;
    justify-content: center;
    width: 100%;
    padding: 40px 0;
}

.member-message__item::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, rgba(0, 0, 0, .3) 33%, rgba(0, 0, 0, 0) 0%) left bottom repeat-x;
    background-size: 6px 2px;
}

.member-message__item:last-of-type:after {
    display: none;
}

/****頭像****/
.member-message__item__avatar {
    display: block;
    width: 140px;
    height: 140px;
    border-radius: 50%;
    margin: 0 20px 0 0;
    flex: 0 0 auto;
    overflow: visible;
    z-index: 10;
}

.member-message__item__avatar__pic {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: url(../images/avatar/avatar_default.png) center no-repeat;
    background-size: cover;
    overflow: hidden;
    z-index: 10;
}

.member-message__item__avatar__pic img {
    object-fit: cover;
    object-position: center;
    width: 100%;
    height: 100%;
}

.member-message__item__avatar__unread {
    position: absolute;
    top: 10px;
    left: 105px;
    display: block;
    width: auto;
    font-size: 14px;
    line-height: 1;
    color: #fff;
    font-family: inherit;
    background: #d50000;
    padding: 4px 12.5px;
    border-radius: 12.5px;
    overflow: hidden;
    z-index: 10;
}

/****內文*****/
.member-message__item__content {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: calc(100% - 305px);
    flex: 0 0 auto;
}

.member-message__item__content__sub {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    color: #44464e;
    margin: 0 0 5px 0;
}

.member-message__item__content__main {
    display: block;
    width: 100%;
    font-size: 16px;
    line-height: 1.5;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

/****最後訊息時間 & 商品照****/
.member-message__item__info {
    display: block;
    width: 125px;
    margin: 0 0 0 20px;
    flex: 0 0 auto;
}

.member-message__item__info__time {
    display: block;
    width: 100%;
    font-size: 15px;
    line-height: 1;
    color: #44464e;
    font-family: 'NotoSansTC-M';
    text-align: center;
}

.member-message__item__info__pic {
    display: block;
    width: 100%;
    border-radius: 5px;
    margin: 15px auto 0 auto;
    overflow: hidden;
}

@media screen and (max-width: 1300px) {
    .member-message {
        box-shadow: 0 0 10px rgb(44, 48, 67, .15);
    }
}

@media screen and (max-width: 991px) {}

@media screen and (max-width: 767px) {
    .member-message__item__info {
        position: absolute;
        top: 25px;
        right: 0;
    }

    /****內文*****/
    .member-message__item__content {
        width: calc(100% - 160px);
        padding: 0 50px 0 0;
    }

    .member-message__item__info__time {
        text-align: right;
    }

    /****最後訊息時間 & 商品照****/
    .member-message__item__info__pic {
        display: none;
    }
}

@media screen and (max-width: 575px) {
    .member-message {
        padding: 0;
        box-shadow: none;
    }

    .member-message__item {
        padding: 20px 0;
    }

    /****頭像****/
    .member-message__item__avatar {
        position: static;
        width: 55px;
        height: 55px;
        margin: 0 10px 0 0;
    }

    .member-message__item__avatar__pic {
        top: calc(50% - 27.5px);
        width: 55px;
        height: 55px;
    }

    .member-message__item__avatar__unread {
        top: 50%;
        left: auto;
        right: 0;
        font-size: 12px;
        transform: translateY(-50%);
    }

    /****內文*****/
    .member-message__item__content {
        width: calc(100% - 65px);
    }

    .member-message__item__content__sub {
        font-size: 12px;
    }

    .member-message__item__content__main {
        font-size: 13px;
    }

    /****最後訊息時間 & 商品照****/
    .member-message__item__info {
        top: 10px;
    }

    .member-message__item__info__time {
        font-size: 12px;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}